import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:sk_base_mobile/screens/inventory_inout/inventory_inout_controller.dart';

import 'inventory_inout_view_item.dart';

class InventoryInoutView extends StatelessWidget {
  InventoryInoutView({super.key});
  final controller = Get.find<InventoryInoutController>();
  @override
  Widget build(BuildContext context) {
    return PageView(
        physics: const BouncingScrollPhysics(),
        reverse: true,
        onPageChanged: (index) {
          controller.setIndex(index);
        },
        controller: controller.pageController,
        children: List.generate(
            controller.daysNum,
            (index) => InventoryInoutViewItem(
                  index: index,
                )));
  }
}
